Foreman - Bug #12224

In Host Edit Form, overriding a 'long key nhame smart variable' doesn't truncates the key name.
10/20/2015 09:25 AM - Jitendra Yejare
Description

Description of problem:
In Host Edit Form, overriding a 'long key name smart variable' doesn't truncates the key name.

Version-Release number of selected component (if applicable):
foreman-1.11.0-0.develop.201510151605¢it8893c3b.el7.noarch

How reproducible:
Always

Steps to Reproduce:

1. In Puppet class, Create a smart variable with a long key name.

2. Add above puppet class to any host.

3. In Host, under parameters tab override the smart variable value and observe the smart variable name appears under the section
'Puppet class overrides'.

4. Hover on that name.

Actual results:
The smart variable name is not truncated and not showing the full name of smart variable.

Expected results:
The smart variable name should be truncated and should display the full name.

History

#1 - 10/20/2015 09:31 AM - Dominic Cleal

I don't fully understand the ticket description. The key name is truncated, that's the "..." after the name on the web page, that's normal behaviour. |
don't see where in your screenshot it isn't truncated, according to the ticket title.

The name should probably not be truncated within the tooltip at all, but that may even be your browser or OS. (The name is a bit ridiculous anyway.)

#2 - 10/20/2015 09:31 AM - Dominic Cleal

- Status changed from New to Need more information

#3 - 10/29/2015 10:04 AM - Tomer Brisker
- Status changed from Need more information to Rejected

- Assignee set to Tomer Brisker

This looks like an issue with your OS or browser. Could not reproduce on nightly for neither Chrome nor Firefox, truncation is correct and tooltips
display as expected even for extremely long parameter names. Closing this issue.

Files

name truncated.png 153 KB 10/20/2015 Jitendra Yejare

05/19/2024 1/1



http://www.tcpdf.org

